/*	
	EGX_Medevac system - by Enigx
	
	Version: 1.0
	Author: Enigx
	Contributors: -
	
	initEGXMed.sqf	
	
	The system orders the arrival, in a clickable point on the map, of a Medevac for the transport of the injured players to the medical point and their 
	subsequent insertion once healed.
	Once activated, the medevac will be spawned, goes to extraction point, waits for take-off command, goes to medical point for players heling, goes back to
	extraction for players landing and flies away to medical point again for cancellation.
	The medical point is pre-defined in the editor during mission editing.
	The system can be activated by self interaction menu of the ACE mod.
	
	# Compatible with SP and MP.

	HOW TO RUN THE SYSTEM 
	You can run the system from the ACE self interaction menu.
	Once installed two icons appears in the ACE menu of the player, named:
	- Call Medevac: it activate the system calling the medevac for the injured players extraction.
	- Order Medevac GO: 1. orders the medevac to take off once players are on board.
											2. resets the medevac call if needed (see below)
	**** NOTE: YOU NEED THE ACE MOD LOADED IN YOUR MISSION !!
		
	Operating sequence of the system once activated from the ACE menu ("Call Medevac" command):
	- It opens the map for the map clicks of the Medevac route and the extraction point
	- You are asked to click on 4 intermediate points that define the Medevac waypoints route and on the final extraction point
	- The medevac is spawned at the medical point, follows the assigned route and lands at the extraction point to allow injured players on board
	- It waits until the take-off order is given by the specific command from the ACE menu ("Order Medevac GO")
	- The medevac takes off, goes to the medical point, heals the wounded, returns to the extraction point and lands the healed players
	- It starts again towards the medical point where it is canceled
	An automatic procedure is included to identify the closest safe landing position from the selected extraction zone.
	
	One medevac per time can be called. 
	Anyway if more medevacs needed at the same time, you can do it resetting the call by runnig the "Order Medevac GO" command again. In this way a second Medevac
	can be activated when the first one is stil on mission.
	Note: take care that the first medevac is not landed before the call the second one, otherwise the first takes off when pressing the "Order Medevac GO" reset button!
	
	
	Steps to set the EGX_Medevac system:
	1) Place a marker on the map from the editor for the medical point (hospital) from where the Medevac must spawn and start (in general it will be in the Blufor Base)
	
							***************** IMPORTANT: NAME THE MARKER AS "MedicPoint" (without quotes)!! ******************
	
	2) Copy folder EGX_Medevac\ into the mission folder	
	3) Create init.sqf in mission folder (if not already present) and copy this string to initiate the system	

			null = []execVM "EGX_Medevac\initEGXMed.sqf"; // <- add to init.sqf
		
	4) Create initPlayerLocal.sqf in mission folder (if not already present) and add these strings in it
		
				authPlayersMed = ["XXXXXXX", ... , "YYYYY"];	// <-- ADD HERE THE STEAM ID OF THE PLAYER/S ENABLED TO CALL THE MEDEVAC BY ACE COMMANDS
				_uidP = getPlayerUID player;
				if (_uidP in authPlayersMed) then {
				    _actionMd = {execVM "EGX_Medevac\CallMedevacV2.sqf";};
						_CallMedEGX = ['CallMedevac', 'Call Medevac', 'EGX_Medevac\medevacCall.jpg', _actionMd, {true}] call ace_interact_menu_fnc_createAction;
						[player, 1, ["ACE_SelfActions"], _CallMedEGX] call ace_interact_menu_fnc_addActionToObject;
					
						_actionGoMd = {execVM "EGX_Medevac\OrderMedevacGO.sqf";};
						_OrderMedEGXgo = ['OrderMedevacGO', 'Order Medevac GO', 'EGX_Medevac\medevacGo.jpg', _actionGoMd, {true}] call ace_interact_menu_fnc_createAction;
						[player, 1, ["ACE_SelfActions"], _OrderMedEGXgo] call ace_interact_menu_fnc_addActionToObject;
				};
	
		
		NOTE: For obvious reasons not all players will be enabled to call the Medevac, but only the SL/TL (or whoever you want) with the specified ID.
		Note: you have to run mission in MP also from editor to work with the Steam ID!
		If you want everyone can call the Medevac, substitute the previous one with the following:

				_actionMd = {execVM "EGX_Medevac\CallMedevacV2.sqf";};
				_CallMedEGX = ['CallMedevac', 'Call Medevac', 'EGX_Medevac\medevacCall.jpg', _actionMd, {true}] call ace_interact_menu_fnc_createAction;
				[player, 1, ["ACE_SelfActions"], _CallMedEGX] call ace_interact_menu_fnc_addActionToObject;
				
				_actionGoMd = {execVM "EGX_Medevac\OrderMedevacGO.sqf";};
				_OrderMedEGXgo = ['OrderMedevacGO', 'Order Medevac GO', 'EGX_Medevac\medevacGo.jpg', _actionGoMd, {true}] call ace_interact_menu_fnc_createAction;
				[player, 1, ["ACE_SelfActions"], _OrderMedEGXgo] call ace_interact_menu_fnc_addActionToObject;


	** NOTE: It needs the following mods loaded in your mission:
	- ACE for the interaction menu
	- RHS USAF for the definition of the Medevac helicopter "RHS_UH60M_MEV2". You can change it modify the heli classname in CallMedevacV2.sqf file.

*/

//*** DO NOT MODIFY FOLLOWING SECTION ******
orderGoMedEGX = 0;
// *****************************************
